Bug 1007709 - Can not install cartridge by oo-admin-cartridge with --mco option
Can not install cartridge by oo-admin-cartridge with --mco option
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 03:52 EDT by Yan Du
Modified: 2015-05-14 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:23:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-09-13 03:52:42 EDT
Description of problem:
Can not install cartridge by oo-admin-cartridge with --mco option


Version-Release number of selected component (if applicable):
devnev_stage_471


How reproducible:
Always


Steps to Reproduce:

1. modified Cartridge Version in /usr/libexec/openshift/cartridges/zend/metadata/manifest.yml
2. oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/zend --mco
3. oo-admin-cartridge -l 



Actual results:

2. no infomation return when install the cartridge. 
[root@ip-10-164-72-132 ~]# oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/php --mco
[root@ip-10-164-72-132 ~]# 

3. use oo-admin-cartridge -l  to check cartridge, found the cartridge was not installed.



Expected results:

the cartridge can be installed normally and show below message:

[root@ip-10-60-39-168 ~]# oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/zend --mco
1 / 1
ip-10-60-39-168                         
   output: install succeeded for /usr/libexec/openshift/cartridges/zend
Finished processing 1 / 1 hosts in 136.28 ms


Additional info:

can install the cartridge normally without --mco option
Comment 1 XiuJuan Wang 2013-10-23 01:44:35 EDT
dev_3932

Now can use '--mco' to install cartriage successfully, but erase with '--mco' prompt 'Operation failed: sh: mco: command not found'

[root@ip-10-141-140-217 ~]# oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/zend --mco

1 / 1
ip-10-141-140-217                        
   output: install succeeded for /usr/libexec/openshift/cartridges/zend
Finished processing 1 / 1 hosts in 178.17 ms
[root@ip-10-141-140-217 ~]# oo-admin-cartridge -a erase -n zend -v 5.6 -c 0.0.1 --mco

Operation failed: 
sh: mco: command not found
[root@ip-10-141-140-217 ~]
Comment 2 openshift-github-bot 2013-11-07 18:41:47 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/f341825bcaf038e45d7df9d47937869a78220ffd
Fix bug 1007709: use oo-mco in oo-admin-cartridge
Comment 3 Yan Du 2013-11-08 05:17:05 EST
Test on devenv_4008, oo-admin-cartridge with --mco command works now.


[root@ip-10-145-227-222 ~]# oo-admin-cartridge -a install -s /usr/libexec/openshift/cartridges/zend --mco
1 / 1
ip-10-145-227-222                        
   output: install succeeded for /usr/libexec/openshift/cartridges/zend
Finished processing 1 / 1 hosts in 194.08 ms



[root@ip-10-145-227-222 ~]#  oo-admin-cartridge -a erase -n zend -v 5.66 -c 0.0.7 --mco
Operation failed: 
1 / 1
ip-10-145-227-222                        Invalid Request Data
   erase failed for  Cannot erase cartridge installed in CARTRIDGE_BASE_PATH
Finished processing 1 / 1 hosts in 56.08 ms
Discovering hosts using the mc method for 2 second(s) .... 1

Note You need to log in before you can comment on or make changes to this bug.